// XmlMemberGui_Double.h: interface for the CXmlMemberGui_Double class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_XMLMEMBERGUI_DOUBLE_H_)
#define _XMLMEMBERGUI_DOUBLE_H_

#include <map>
#include "XmlBaseElement.h"
#include "enums.h"

using namespace std;

class CXmlMemberGui_Double : public CXmlBaseElement
{
public:
	CXmlMemberGui_Double();
	virtual ~CXmlMemberGui_Double();

	// implementation of CXmlSerializable
	//
public:
	virtual bool BuildFromXml(IXMLDOMNode* node);
	virtual bool AppendToDOMDocument(IXMLDOMDocument2* xmlDoc, IXMLDOMElement* parentElement);	
	
	// attributes
	//
	static cmString GetXmlNodeName(){return _T("MemberGui_Double");}

	void SetDisplayMode(enDoubleMemberDisplayMode mode);
	enDoubleMemberDisplayMode GetDisplayMode() const;

	virtual void Clear();
	virtual void SetDefaults();

protected:
		
	enDoubleMemberDisplayMode displayMode_;

};

#endif // !defined(_XMLMEMBERGUI_DOUBLE_H_)